//
//  Form.swift
//  MoreComponentsUI
//
//  Created by Joe Gregg on 10/11/24.
//

import SwiftUI

struct FormDemoView: View {
    @State var choseThis = false
    let meals = ["Breakfast","Lunch","Dinner"]
    @State var favoriteMeal = "Lunch"
    @State var rating = 3
    var body: some View {
        Form {
            Section {
                Toggle(isOn: $choseThis, label: {
                    Text("Prefer this")
                })
                if choseThis {
                    Text("You chose to prefer this.")
                } else {
                    Text("You chose to prefer that.")
                }
            }
            Section {
                Picker("Favorite meal",selection:$favoriteMeal) {
                    ForEach(meals,id:\.self) { meal in Text(meal) }
                }.pickerStyle(.segmented)
                Text("Your favorite meal is \(favoriteMeal)")
            }
            Section {
                Stepper("Rating",value: $rating,in: 1...5)
                Text("Your rated it \(rating)")
            }
            
        }
    }
}
